
From: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>

Default config may be setted by distributer.  By this change, certainly the
user can know current NLS using by FAT.

Signed-off-by: OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/fat/inode.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN fs/fat/inode.c~fat-show-current-nls-config-even-if-its-default fs/fat/inode.c
--- 25/fs/fat/inode.c~fat-show-current-nls-config-even-if-its-default	Tue Jan 18 14:53:48 2005
+++ 25-akpm/fs/fat/inode.c	Tue Jan 18 14:53:48 2005
@@ -690,11 +690,10 @@ static int fat_show_options(struct seq_f
 		seq_printf(m, ",gid=%u", opts->fs_gid);
 	seq_printf(m, ",fmask=%04o", opts->fs_fmask);
 	seq_printf(m, ",dmask=%04o", opts->fs_dmask);
-	if (sbi->nls_disk && opts->codepage != fat_default_codepage)
+	if (sbi->nls_disk)
 		seq_printf(m, ",codepage=%s", sbi->nls_disk->charset);
 	if (isvfat) {
-		if (sbi->nls_io &&
-		    strcmp(opts->iocharset, fat_default_iocharset))
+		if (sbi->nls_io)
 			seq_printf(m, ",iocharset=%s", sbi->nls_io->charset);
 
 		switch (opts->shortname) {
_
